org.apache.hc.client5.http.impl.classic

## Class HttpRequestRetryExec

- java.lang.Object
- - org.apache.hc.client5.http.impl.classic.HttpRequestRetryExec

- All Implemented Interfaces:
    ExecChainHandler

      @Contract(threading=STATELESS)
       @Internal
      public class HttpRequestRetryExec
      extends Object
      implements ExecChainHandler

  Request executor in the request execution chain that is responsible for making a decision whether a request that failed due to an I/O exception or received a specific response from the target server should be re-executed.

  Further responsibilities such as communication with the opposite endpoint is delegated to the next executor in the request execution chain.

  Since:
    5.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpRequestRetryExec(HttpRequestRetryStrategy retryStrategy)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClassicHttpResponse` | `execute(ClassicHttpRequest request, ExecChain.Scope scope, ExecChain chain)` Executes the actual HTTP request.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpRequestRetryExec

          public HttpRequestRetryExec(HttpRequestRetryStrategy retryStrategy)

  - ### Method Detail

    - #### execute

          public ClassicHttpResponse execute(ClassicHttpRequest request,
                                             ExecChain.Scope scope,
                                             ExecChain chain)
                                      throws IOException,
                                             HttpException

      Description copied from interface: `ExecChainHandler`
      Executes the actual HTTP request. The handler can choose to return a response message or delegate request execution to the next element in the execution chain.
      Specified by:
        `execute` in interface `ExecChainHandler`
      Parameters:
        `request` - the actual request.
        `scope` - the execution scope .
        `chain` - the next element in the request execution chain.
      Throws:
        `IOException`
        `HttpException`

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.